/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-26 18:18:27.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.common.Result;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectInfo;
import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static cn.com.qmth.examcloud.core.print.common.Result.success;

/**
 * 印刷项目统计相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/26
 */
@RestController
@Api(tags = "印刷项目统计相关接口")
@RequestMapping("${$rmp.ctrl.print}/printing/project/statistic")
public class PrintingProjectStatisticController extends ControllerSupport {
    @Autowired
    private PrintingProjectStatisticService printingProjectStatisticService;

    @PostMapping("/list")
    @ApiOperation(value = "获取印刷项目统计列表")
    public List<PrintingProjectInfo> list(@RequestBody PrintingProjectQuery query) {
        return printingProjectStatisticService.getPrintingProjectStatisticList(query);
    }

    @PostMapping("/init")
    @ApiOperation(value = "执行印刷项目统计")
    public Result statistic() {
        printingProjectStatisticService.statistic();
        return success();
    }

}